/**
 * Minify html string.
 * @function lib.minify.minifyHtmlString
 * @param {string} src - Source html string.
 * @param {function} callback - Callback when done.
 * @author Taka Okunishi
 *
 */
module.exports = function (src, callback) {
    var htmlMinifier = require('html-minifier');
    var minified = htmlMinifier.minify(src, {
        removeComments: true,
        collapseWhitespace: true,
        collapseBooleanAttributes:true,
        removeEmptyAttributes:true,
    });
    callback(null, minified);
};